# Interface WebSocket

#### Hierarchy

- WebSocketAlias
  - WebSocket

#####
Index

### Properties

CLOSED
CLOSING
CONNECTING
OPEN
binaryType
bufferedAmount
extensions
isPaused
onclose
onerror
onmessage
onopen
protocol
readyState
url

### Methods

[captureRejectionSymbol]?
addEventListener
addListener
close
emit
eventNames
getMaxListeners
listenerCount
listeners
off
on
once
pause
ping
pong
prependListener
prependOnceListener
rawListeners
removeAllListeners
removeEventListener
removeListener
resume
send
setMaxListeners
terminate

## Properties

### `Readonly` CLOSED

CLOSED: 3

The connection is closed.

Inherited from WebSocketAlias.CLOSED

### `Readonly` CLOSING

CLOSING: 2

The connection is in the process of closing.

Inherited from WebSocketAlias.CLOSING

### `Readonly` CONNECTING

CONNECTING: 0

The connection is not yet open.

Inherited from WebSocketAlias.CONNECTING

### `Readonly` OPEN

OPEN: 1

The connection is open and ready to communicate.

Inherited from WebSocketAlias.OPEN

### binaryType

binaryType: "nodebuffer" | "arraybuffer" | "fragments"

Inherited from WebSocketAlias.binaryType

### `Readonly` bufferedAmount

bufferedAmount: number

Inherited from WebSocketAlias.bufferedAmount

### `Readonly` extensions

extensions: string

Inherited from WebSocketAlias.extensions

### `Readonly` isPaused

isPaused: boolean

Indicates whether the websocket is paused

Inherited from WebSocketAlias.isPaused

### onclose

onclose: null | ((event) => void)

#### Type declaration

- - (event): void

  - #### Parameters

    - ##### event: CloseEvent

    #### Returns void

Inherited from WebSocketAlias.onclose

### onerror

onerror: null | ((event) => void)

#### Type declaration

- - (event): void

  - #### Parameters

    - ##### event: ErrorEvent

    #### Returns void

Inherited from WebSocketAlias.onerror

### onmessage

onmessage: null | ((event) => void)

#### Type declaration

- - (event): void

  - #### Parameters

    - ##### event: MessageEvent

    #### Returns void

Inherited from WebSocketAlias.onmessage

### onopen

onopen: null | ((event) => void)

#### Type declaration

- - (event): void

  - #### Parameters

    - ##### event: Event

    #### Returns void

Inherited from WebSocketAlias.onopen

### `Readonly` protocol

protocol: string

Inherited from WebSocketAlias.protocol

### `Readonly` readyState

readyState: 0 | 2 | 1 | 3

The current state of the connection

Inherited from WebSocketAlias.readyState

### `Readonly` url

url: string

Inherited from WebSocketAlias.url

## Methods

### `Optional` [captureRejectionSymbol]

- [captureRejectionSymbol](error, event, ...args): void

- #### Parameters

  - ##### error: Error

  - ##### event: string

  - ##### `Rest` ...args: any[]

  #### Returns void

  Inherited from WebSocketAlias.[captureRejectionSymbol]

### addEventListener

- addEventListener(method, cb, options?): void

- #### Parameters

  - ##### method: "message"

  - ##### cb: ((event) => void)

    - - (event): void

      - #### Parameters

        - ##### event: MessageEvent

        #### Returns void

  - ##### `Optional` options: EventListenerOptions

  #### Returns void

  Inherited from WebSocketAlias.addEventListener

- addEventListener(method, cb, options?): void

- #### Parameters

  - ##### method: "close"

  - ##### cb: ((event) => void)

    - - (event): void

      - #### Parameters

        - ##### event: CloseEvent

        #### Returns void

  - ##### `Optional` options: EventListenerOptions

  #### Returns void

  Inherited from WebSocketAlias.addEventListener

- addEventListener(method, cb, options?): void

- #### Parameters

  - ##### method: "error"

  - ##### cb: ((event) => void)

    - - (event): void

      - #### Parameters

        - ##### event: ErrorEvent

        #### Returns void

  - ##### `Optional` options: EventListenerOptions

  #### Returns void

  Inherited from WebSocketAlias.addEventListener

- addEventListener(method, cb, options?): void

- #### Parameters

  - ##### method: "open"

  - ##### cb: ((event) => void)

    - - (event): void

      - #### Parameters

        - ##### event: Event

        #### Returns void

  - ##### `Optional` options: EventListenerOptions

  #### Returns void

  Inherited from WebSocketAlias.addEventListener

### addListener

- addListener(event, listener): WebSocket

- #### Parameters

  - ##### event: "close"

  - ##### listener: ((code, reason) => void)

    - - (code, reason): void

      - #### Parameters

        - ##### code: number

        - ##### reason: Buffer

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.addListener

- addListener(event, listener): WebSocket

- #### Parameters

  - ##### event: "error"

  - ##### listener: ((err) => void)

    - - (err): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.addListener

- addListener(event, listener): WebSocket

- #### Parameters

  - ##### event: "upgrade"

  - ##### listener: ((request) => void)

    - - (request): void

      - #### Parameters

        - ##### request: IncomingMessage

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.addListener

- addListener(event, listener): WebSocket

- #### Parameters

  - ##### event: "message"

  - ##### listener: ((data, isBinary) => void)

    - - (data, isBinary): void

      - #### Parameters

        - ##### data: RawData

        - ##### isBinary: boolean

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.addListener

- addListener(event, listener): WebSocket

- #### Parameters

  - ##### event: "open"

  - ##### listener: (() => void)

    - - (): void

      - #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.addListener

- addListener(event, listener): WebSocket

- #### Parameters

  - ##### event: "ping" | "pong"

  - ##### listener: ((data) => void)

    - - (data): void

      - #### Parameters

        - ##### data: Buffer

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.addListener

- addListener(event, listener): WebSocket

- #### Parameters

  - ##### event: "unexpected-response"

  - ##### listener: ((request, response) => void)

    - - (request, response): void

      - #### Parameters

        - ##### request: ClientRequest

        - ##### response: IncomingMessage

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.addListener

- addListener(event, listener): WebSocket

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((...args) => void)

    - - (...args): void

      - #### Parameters

        - ##### `Rest` ...args: any[]

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.addListener

### close

- close(code?, data?): void

- #### Parameters

  - ##### `Optional` code: number

  - ##### `Optional` data: string | Buffer

  #### Returns void

  Inherited from WebSocketAlias.close

### emit

- emit(eventName, ...args): boolean

- Synchronously calls each of the listeners registered for the event named`eventName`, in the order they were registered, passing the supplied arguments to each.

  Returns `true` if the event had listeners, `false` otherwise.

      import { EventEmitter } from 'node:events';
      const myEmitter = new EventEmitter();

      // First listener
      myEmitter.on('event', function firstListener() {
        console.log('Helloooo! first listener');
      });
      // Second listener
      myEmitter.on('event', function secondListener(arg1, arg2) {
        console.log(`event with parameters ${arg1}, ${arg2} in second listener`);
      });
      // Third listener
      myEmitter.on('event', function thirdListener(...args) {
        const parameters = args.join(', ');
        console.log(`event with parameters ${parameters} in third listener`);
      });

      console.log(myEmitter.listeners('event'));

      myEmitter.emit('event', 1, 2, 3, 4, 5);

      // Prints:
      // [
      //   [Function: firstListener],
      //   [Function: secondListener],
      //   [Function: thirdListener]
      // ]
      // Helloooo! first listener
      // event with parameters 1, 2 in second listener
      // event with parameters 1, 2, 3, 4, 5 in third listener

  #### Parameters

  - ##### eventName: string | symbol

  - ##### `Rest` ...args: any[]

  #### Returns boolean

  #### Since

  v0.1.26

  Inherited from WebSocketAlias.emit

### eventNames

- eventNames(): (string | symbol)[]

- Returns an array listing the events for which the emitter has registered listeners. The values in the array are strings or `Symbol`s.

      import { EventEmitter } from 'node:events';

      const myEE = new EventEmitter();
      myEE.on('foo', () => {});
      myEE.on('bar', () => {});

      const sym = Symbol('symbol');
      myEE.on(sym, () => {});

      console.log(myEE.eventNames());
      // Prints: [ 'foo', 'bar', Symbol(symbol) ]

  #### Returns (string | symbol)[]

  #### Since

  v6.0.0

  Inherited from WebSocketAlias.eventNames

### getMaxListeners

- getMaxListeners(): number

- Returns the current max listener value for the `EventEmitter` which is either set by `emitter.setMaxListeners(n)` or defaults to defaultMaxListeners.

  #### Returns number

  #### Since

  v1.0.0

  Inherited from WebSocketAlias.getMaxListeners

### listenerCount

- listenerCount(eventName, listener?): number

- Returns the number of listeners listening for the event named `eventName`. If `listener` is provided, it will return how many times the listener is found in the list of the listeners of the event.

  #### Parameters

  - ##### eventName: string | symbol

    The name of the event being listened for

  - ##### `Optional` listener: Function

    The event handler function

  #### Returns number

  #### Since

  v3.2.0

  Inherited from WebSocketAlias.listenerCount

### listeners

- listeners(eventName): Function[]

- Returns a copy of the array of listeners for the event named `eventName`.

      server.on('connection', (stream) => {
        console.log('someone connected!');
      });
      console.log(util.inspect(server.listeners('connection')));
      // Prints: [ [Function] ]

  #### Parameters

  - ##### eventName: string | symbol

  #### Returns Function[]

  #### Since

  v0.1.26

  Inherited from WebSocketAlias.listeners

### off

- off(event, listener): WebSocket

- #### Parameters

  - ##### event: "close"

  - ##### listener: ((this, code, reason) => void)

    - - (this, code, reason): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### code: number

        - ##### reason: Buffer

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.off

- off(event, listener): WebSocket

- #### Parameters

  - ##### event: "error"

  - ##### listener: ((this, err) => void)

    - - (this, err): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### err: Error

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.off

- off(event, listener): WebSocket

- #### Parameters

  - ##### event: "upgrade"

  - ##### listener: ((this, request) => void)

    - - (this, request): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### request: IncomingMessage

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.off

- off(event, listener): WebSocket

- #### Parameters

  - ##### event: "message"

  - ##### listener: ((this, data, isBinary) => void)

    - - (this, data, isBinary): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### data: RawData

        - ##### isBinary: boolean

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.off

- off(event, listener): WebSocket

- #### Parameters

  - ##### event: "open"

  - ##### listener: ((this) => void)

    - - (this): void

      - #### Parameters

        - ##### this: WebSocket

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.off

- off(event, listener): WebSocket

- #### Parameters

  - ##### event: "ping" | "pong"

  - ##### listener: ((this, data) => void)

    - - (this, data): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### data: Buffer

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.off

- off(event, listener): WebSocket

- #### Parameters

  - ##### event: "unexpected-response"

  - ##### listener: ((this, request, response) => void)

    - - (this, request, response): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### request: ClientRequest

        - ##### response: IncomingMessage

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.off

- off(event, listener): WebSocket

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((this, ...args) => void)

    - - (this, ...args): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### `Rest` ...args: any[]

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.off

### on

- on(event, listener): WebSocket

- #### Parameters

  - ##### event: "close"

  - ##### listener: ((this, code, reason) => void)

    - - (this, code, reason): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### code: number

        - ##### reason: Buffer

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.on

- on(event, listener): WebSocket

- #### Parameters

  - ##### event: "error"

  - ##### listener: ((this, err) => void)

    - - (this, err): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### err: Error

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.on

- on(event, listener): WebSocket

- #### Parameters

  - ##### event: "upgrade"

  - ##### listener: ((this, request) => void)

    - - (this, request): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### request: IncomingMessage

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.on

- on(event, listener): WebSocket

- #### Parameters

  - ##### event: "message"

  - ##### listener: ((this, data, isBinary) => void)

    - - (this, data, isBinary): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### data: RawData

        - ##### isBinary: boolean

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.on

- on(event, listener): WebSocket

- #### Parameters

  - ##### event: "open"

  - ##### listener: ((this) => void)

    - - (this): void

      - #### Parameters

        - ##### this: WebSocket

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.on

- on(event, listener): WebSocket

- #### Parameters

  - ##### event: "ping" | "pong"

  - ##### listener: ((this, data) => void)

    - - (this, data): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### data: Buffer

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.on

- on(event, listener): WebSocket

- #### Parameters

  - ##### event: "unexpected-response"

  - ##### listener: ((this, request, response) => void)

    - - (this, request, response): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### request: ClientRequest

        - ##### response: IncomingMessage

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.on

- on(event, listener): WebSocket

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((this, ...args) => void)

    - - (this, ...args): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### `Rest` ...args: any[]

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.on

### once

- once(event, listener): WebSocket

- #### Parameters

  - ##### event: "close"

  - ##### listener: ((this, code, reason) => void)

    - - (this, code, reason): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### code: number

        - ##### reason: Buffer

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.once

- once(event, listener): WebSocket

- #### Parameters

  - ##### event: "error"

  - ##### listener: ((this, err) => void)

    - - (this, err): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### err: Error

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.once

- once(event, listener): WebSocket

- #### Parameters

  - ##### event: "upgrade"

  - ##### listener: ((this, request) => void)

    - - (this, request): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### request: IncomingMessage

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.once

- once(event, listener): WebSocket

- #### Parameters

  - ##### event: "message"

  - ##### listener: ((this, data, isBinary) => void)

    - - (this, data, isBinary): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### data: RawData

        - ##### isBinary: boolean

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.once

- once(event, listener): WebSocket

- #### Parameters

  - ##### event: "open"

  - ##### listener: ((this) => void)

    - - (this): void

      - #### Parameters

        - ##### this: WebSocket

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.once

- once(event, listener): WebSocket

- #### Parameters

  - ##### event: "ping" | "pong"

  - ##### listener: ((this, data) => void)

    - - (this, data): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### data: Buffer

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.once

- once(event, listener): WebSocket

- #### Parameters

  - ##### event: "unexpected-response"

  - ##### listener: ((this, request, response) => void)

    - - (this, request, response): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### request: ClientRequest

        - ##### response: IncomingMessage

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.once

- once(event, listener): WebSocket

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((this, ...args) => void)

    - - (this, ...args): void

      - #### Parameters

        - ##### this: WebSocket

        - ##### `Rest` ...args: any[]

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.once

### pause

- pause(): void

- Pause the websocket causing it to stop emitting events. Some events can still be emitted after this is called, until all buffered data is consumed. This method is a noop if the ready state is `CONNECTING` or `CLOSED`.

  #### Returns void

  Inherited from WebSocketAlias.pause

### ping

- ping(data?, mask?, cb?): void

- #### Parameters

  - ##### `Optional` data: any

  - ##### `Optional` mask: boolean

  - ##### `Optional` cb: ((err) => void)

    - - (err): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  Inherited from WebSocketAlias.ping

### pong

- pong(data?, mask?, cb?): void

- #### Parameters

  - ##### `Optional` data: any

  - ##### `Optional` mask: boolean

  - ##### `Optional` cb: ((err) => void)

    - - (err): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  Inherited from WebSocketAlias.pong

### prependListener

- prependListener(eventName, listener): WebSocket

- Adds the `listener` function to the beginning of the listeners array for the event named `eventName`. No checks are made to see if the `listener` has already been added. Multiple calls passing the same combination of `eventName`and `listener` will result in the `listener` being added, and called, multiple times.

      server.prependListener('connection', (stream) => {
        console.log('someone connected!');
      });

  Returns a reference to the `EventEmitter`, so that calls can be chained.

  #### Parameters

  - ##### eventName: string | symbol

    The name of the event.

  - ##### listener: ((...args) => void)

    The callback function

    - - (...args): void

      - #### Parameters

        - ##### `Rest` ...args: any[]

        #### Returns void

  #### Returns WebSocket

  #### Since

  v6.0.0

  Inherited from WebSocketAlias.prependListener

### prependOnceListener

- prependOnceListener(eventName, listener): WebSocket

- Adds a one-time `listener` function for the event named `eventName` to the beginning of the listeners array. The next time `eventName` is triggered, this listener is removed, and then invoked.

      server.prependOnceListener('connection', (stream) => {
        console.log('Ah, we have our first user!');
      });

  Returns a reference to the `EventEmitter`, so that calls can be chained.

  #### Parameters

  - ##### eventName: string | symbol

    The name of the event.

  - ##### listener: ((...args) => void)

    The callback function

    - - (...args): void

      - #### Parameters

        - ##### `Rest` ...args: any[]

        #### Returns void

  #### Returns WebSocket

  #### Since

  v6.0.0

  Inherited from WebSocketAlias.prependOnceListener

### rawListeners

- rawListeners(eventName): Function[]

- Returns a copy of the array of listeners for the event named `eventName`, including any wrappers (such as those created by `.once()`).

      import { EventEmitter } from 'node:events';
      const emitter = new EventEmitter();
      emitter.once('log', () => console.log('log once'));

      // Returns a new Array with a function `onceWrapper` which has a property
      // `listener` which contains the original listener bound above
      const listeners = emitter.rawListeners('log');
      const logFnWrapper = listeners[0];

      // Logs "log once" to the console and does not unbind the `once` event
      logFnWrapper.listener();

      // Logs "log once" to the console and removes the listener
      logFnWrapper();

      emitter.on('log', () => console.log('log persistently'));
      // Will return a new Array with a single function bound by `.on()` above
      const newListeners = emitter.rawListeners('log');

      // Logs "log persistently" twice
      newListeners[0]();
      emitter.emit('log');

  #### Parameters

  - ##### eventName: string | symbol

  #### Returns Function[]

  #### Since

  v9.4.0

  Inherited from WebSocketAlias.rawListeners

### removeAllListeners

- removeAllListeners(event?): WebSocket

- Removes all listeners, or those of the specified `eventName`.

  It is bad practice to remove listeners added elsewhere in the code, particularly when the `EventEmitter` instance was created by some other component or module (e.g. sockets or file streams).

  Returns a reference to the `EventEmitter`, so that calls can be chained.

  #### Parameters

  - ##### `Optional` event: string | symbol

  #### Returns WebSocket

  #### Since

  v0.1.26

  Inherited from WebSocketAlias.removeAllListeners

### removeEventListener

- removeEventListener(method, cb): void

- #### Parameters

  - ##### method: "message"

  - ##### cb: ((event) => void)

    - - (event): void

      - #### Parameters

        - ##### event: MessageEvent

        #### Returns void

  Inherited from WebSocketAlias.removeEventListener

- removeEventListener(method, cb): void

- #### Parameters

  - ##### method: "close"

  - ##### cb: ((event) => void)

    - - (event): void

      - #### Parameters

        - ##### event: CloseEvent

        #### Returns void

  Inherited from WebSocketAlias.removeEventListener

- removeEventListener(method, cb): void

- #### Parameters

  - ##### method: "error"

  - ##### cb: ((event) => void)

    - - (event): void

      - #### Parameters

        - ##### event: ErrorEvent

        #### Returns void

  Inherited from WebSocketAlias.removeEventListener

- removeEventListener(method, cb): void

- #### Parameters

  - ##### method: "open"

  - ##### cb: ((event) => void)

    - - (event): void

      - #### Parameters

        - ##### event: Event

        #### Returns void

  Inherited from WebSocketAlias.removeEventListener

### removeListener

- removeListener(event, listener): WebSocket

- #### Parameters

  - ##### event: "close"

  - ##### listener: ((code, reason) => void)

    - - (code, reason): void

      - #### Parameters

        - ##### code: number

        - ##### reason: Buffer

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.removeListener

- removeListener(event, listener): WebSocket

- #### Parameters

  - ##### event: "error"

  - ##### listener: ((err) => void)

    - - (err): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.removeListener

- removeListener(event, listener): WebSocket

- #### Parameters

  - ##### event: "upgrade"

  - ##### listener: ((request) => void)

    - - (request): void

      - #### Parameters

        - ##### request: IncomingMessage

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.removeListener

- removeListener(event, listener): WebSocket

- #### Parameters

  - ##### event: "message"

  - ##### listener: ((data, isBinary) => void)

    - - (data, isBinary): void

      - #### Parameters

        - ##### data: RawData

        - ##### isBinary: boolean

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.removeListener

- removeListener(event, listener): WebSocket

- #### Parameters

  - ##### event: "open"

  - ##### listener: (() => void)

    - - (): void

      - #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.removeListener

- removeListener(event, listener): WebSocket

- #### Parameters

  - ##### event: "ping" | "pong"

  - ##### listener: ((data) => void)

    - - (data): void

      - #### Parameters

        - ##### data: Buffer

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.removeListener

- removeListener(event, listener): WebSocket

- #### Parameters

  - ##### event: "unexpected-response"

  - ##### listener: ((request, response) => void)

    - - (request, response): void

      - #### Parameters

        - ##### request: ClientRequest

        - ##### response: IncomingMessage

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.removeListener

- removeListener(event, listener): WebSocket

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((...args) => void)

    - - (...args): void

      - #### Parameters

        - ##### `Rest` ...args: any[]

        #### Returns void

  #### Returns WebSocket

  Inherited from WebSocketAlias.removeListener

### resume

- resume(): void

- Make a paused socket resume emitting events. This method is a noop if the ready state is `CONNECTING` or `CLOSED`.

  #### Returns void

  Inherited from WebSocketAlias.resume

### send

- send(data, cb?): void

- #### Parameters

  - ##### data: BufferLike

  - ##### `Optional` cb: ((err?) => void)

    - - (err?): void

      - #### Parameters

        - ##### `Optional` err: Error

        #### Returns void

  Inherited from WebSocketAlias.send

- send(data, options, cb?): void

- #### Parameters

  - ##### data: BufferLike

  - ##### options: {
    binary?: boolean;
    compress?: boolean;
    fin?: boolean;
    mask?: boolean;
    }

    - ##### `Optional` binary?: boolean

    - ##### `Optional` compress?: boolean

    - ##### `Optional` fin?: boolean

    - ##### `Optional` mask?: boolean

  - ##### `Optional` cb: ((err?) => void)

    - - (err?): void

      - #### Parameters

        - ##### `Optional` err: Error

        #### Returns void

  Inherited from WebSocketAlias.send

### setMaxListeners

- setMaxListeners(n): WebSocket

- By default `EventEmitter`s will print a warning if more than `10` listeners are added for a particular event. This is a useful default that helps finding memory leaks. The `emitter.setMaxListeners()` method allows the limit to be modified for this specific `EventEmitter` instance. The value can be set to`Infinity` (or `0`) to indicate an unlimited number of listeners.

  Returns a reference to the `EventEmitter`, so that calls can be chained.

  #### Parameters

  - ##### n: number

  #### Returns WebSocket

  #### Since

  v0.3.5

  Inherited from WebSocketAlias.setMaxListeners

### terminate

- terminate(): void

- #### Returns void

  Inherited from WebSocketAlias.terminate

Generated using TypeDoc